Take the 2-minute tour ×
Web Applications Stack Exchange is a question and answer site for power users of web applications. It's 100% free, no registration required.

Background: I know the practice of user agent sniffing isn't approved, but I encountered a bug in Firefox 17.0 that enabled HTML and Javascript source code editing in the WYSIWYG editor FCKEditor which is bundled into Coldfusion 10 and prior versions regardless if that editor is officially supported or not. I'm trying to prevent version 17.0 from being able to expose this vulnerability, but UA sniffing in this case has proven to be not useable as it falsely returns the incorrect browser version for 17.0.1 users.

Question: Why is the user agent in Firefox 17.0.1 actually listed as 17.0 in the user agent string?

Details: My Firefox 17.0.1 user agent shows as: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0

I expected the user agent to look like this without question: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0.1

I suspect this is the source of the behavior, but I'm not sure: https://bugzilla.mozilla.org/show_bug.cgi?id=792054

share|improve this question
    
For future reference, web browser feature/settings questions are best asked at Super User. –  Al E. Dec 14 '12 at 14:36
    
Right, I sometimes suffer from GCE regarding exactly where a question belongs. Quite honestly, it would be helpful if StackExchange could provide a question migration means as corrective action rather than down-voting alone. –  Sn3akyP3t3 Dec 14 '12 at 15:35
add comment

closed as off topic by Al E., Alex, Eight Days of Malaise, ChrisF Dec 12 '12 at 9:19

Questions on Web Applications Stack Exchange are expected to relate to web applications within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

According to the Firefox release notes, there were some troubles with user-agent containing Firefox/17.0.1, so they changed user-agent string back to 17.0.

FIXED 17.0.1: Reverted user agent change causing some website incompatibilities.

share|improve this answer
    
I saw that and suspected that the fix had to do with the referenced bug 792054 in the link I provided. –  Sn3akyP3t3 Dec 14 '12 at 15:36
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.